Bug 999758 - SELinux prevents glusterfs from {search}
SELinux prevents glusterfs from {search}
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 00:21 EDT by Michael Cronenworth
Modified: 2013-08-24 18:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-73.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-24 18:28:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Cronenworth 2013-08-22 00:21:12 EDT
Description of problem:
[  297.298789] type=1400 audit(1377145082.481:1499): avc:  denied  { search } for  pid=1157 comm="glusterfs" name="2612" dev="proc" ino=27534 scontext=system_u:system_r:glusterd_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=dir
[  317.276378] audit_printk_skb: 2850 callbacks suppressed
[  317.276382] type=1400 audit(1377145102.459:2450): avc:  denied  { search } for  pid=1157 comm="glusterfs" name="1574" dev="proc" ino=19218 scontext=system_u:system_r:glusterd_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=dir

The client logs fill up with this while using my glusterfs shares.

Version-Release number of selected component (if applicable):
glusterfs-3.4.0-8.fc19.x86_64
selinux-policy-3.12.1-71.fc19.noarch

How reproducible: Always. Just ls a glusterfs directory.


Steps to Reproduce:
1. Mount glusterfs share.
2. ls /glusterfs
3. dmesg | tail

Actual results: Dozens of AVC messages.


Expected results: No AVC messages.
Comment 1 Miroslav Grepl 2013-08-22 05:16:45 EDT
Added.
Comment 2 Fedora Update System 2013-08-23 11:12:47 EDT
selinux-policy-3.12.1-73.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-73.fc19
Comment 3 Fedora Update System 2013-08-23 19:59:22 EDT
Package selinux-policy-3.12.1-73.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-73.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15219/selinux-policy-3.12.1-73.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-08-24 18:28:47 EDT
selinux-policy-3.12.1-73.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.